<template>
  <!-- 所有跳转游戏方之后都跳转到这里来 -->
  <div class="loading inner_box" @click="close">
    <img src="@/assets/image/loading.gif" alt="" />
  </div>
</template>

<script>
import { mapState } from "vuex";
export default {
  name: "Loading",
  components: {},
  data() {
    return {};
  },
  computed: {
    ...mapState(["userInfo"]),
  },
  watch: {},
  created() {},
  mounted() {},
  methods: {
    // 关闭
    close() {
      this.$utils.closePage(this.userInfo);
    },
  },
};
</script>

<style lang='less' scoped>
.loading {
  img {
    width: 200 / @rem;
    height: 200 / @rem;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -100 / @rem;
    margin-top: -100 / @rem;
  }
}
</style>